Bug 188399 - /usr/bin/pnmdepth fails verification after prelinking
Summary: /usr/bin/pnmdepth fails verification after prelinking
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: prelink (Show other bugs)
(Show other bugs)
Version: 5
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-09 01:54 UTC by petrosyan
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 10.33-1.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-18 14:33:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description petrosyan 2006-04-09 01:54:45 UTC
Description of problem:


Version-Release number of selected component (if applicable):
/usr/bin/pnmdepth file from netpbm-progs package fails verification after
prelinking. Before prelinking rpm -V netpbm-progs works fine, however after
prelinking it gives the following message:
# rpm -V netpbm-progs
SM5....T    /usr/bin/pnmdepth

How reproducible:
Always

Steps to Reproduce:
1. yum install netpbm-progs
2. /etc/cron.daily/prelink
3. rpm -V netpbm-progs
  
Actual results:
# rpm -V netpbm-progs
SM5....T    /usr/bin/pnmdepth


Expected results:
No verification failure.

Additional info:
The verification passes, if no prelinking is done.

Comment 1 Jindrich Novy 2006-04-10 08:45:31 UTC
Should be resolved in the netpbm-10.33-0.fc5 update. pnmdepth was a dangling
symlink, the verification would fail even without the prelink pass.

Comment 2 petrosyan 2006-04-11 02:47:57 UTC
It still fails with netpbm-10.33-0.fc5 update.
Try the following steps:
1. rpm -e netpbm-progs
2. yum install netpbm-progs
3. rpm -V netpbm-progs
Verification passes without any errors.
4. /etc/cron.daily/prelink
5. rpm -V netpbm-progs
Verification fails:
SM5....T    /usr/bin/pnmdepth

Comment 3 Jindrich Novy 2006-04-18 12:54:21 UTC
Sorry, I don't see any errors while reproducing your case. It seems that netpbm
is at fault here so reassigning to prelink.

Comment 4 petrosyan 2006-04-18 14:33:43 UTC
this bug has been fixed in netpbm-progs-10.33-1.fc5


Note You need to log in before you can comment on or make changes to this bug.